View Issue Details

IDProjectCategoryView StatusLast Update
0005506SUMoBugpublic2019-05-27 22:37
Reporterwolf Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version5.9.1 
Target Version5.9.xFixed in Version 
Summary0005506: Error in company name consolidation of Mozilla and TomTom
DescriptionDue to look up of the related issue I found an error in company name rationalization concerning Mozilla and TomTom at least on SUMo server.

Looking at SUMo server which software tools have been reported by SUMo clients as coming of Mozilla Foundation, it lists 26 products. I don't know all these entries. But some should be merged while one be shifted and the rest I don't know.

The product TomTom Home is listed on SUMo server as being published by Mozilla Foundation for major version 1 and by TomTom for major version 2. In reality it has always been published by TomTom in all versions. So please shift it to TomTom.

SUMo server reports a product edition of Firefox as FireFox Developer Edition 64 bits. While writing additional editions FireFox Developer Edition and FireFoxDeveloperEdition appeared. A look at the Mozilla web site reveals that no such edition exists. They release developer editions. But that's a category not a specific edition. Beta releases as well as nightly builds are developer editions existing in 32 and 64 bit editions for Windows. So clarify what gets identified incorrectly as developer edition and merge it appropriately to the corresponding edition.

SUMo server reports a product edition as Nightly 64 bits resp. Nightly. What's that?
Are these the nightly builds of Firefox or of Thunderbird?
Please clarify what gets identified incorrectly and merge it appropriately to the corresponding product edition.

While writing this report, some doubtable entries on SUMo server for Tor Browser vanished. Did you consolidate them? The remaining one in 64 bit edition is correct. And its also correct that it's associated with Mozilla as you mentioned in three former issues already solved.

While writing this report, some doubtable entries on SUMo server for product names starting with Ic resp. Id vanished. Did you consolidate them?
Do they still exist?
Are they really associated to Mozilla Foundation?
As far as I know such products have existed in the past due to different licenses. These products were spin offs of the Mozilla ones based on the same source code but published with different license for some years. After clearing these license issues between the two groups, these products have merged back to Mozilla Firefox resp. Thunderbird. As I didn't get an answer yet if my understanding of users in SUMo server context is right meaning something like active users and without knowing how long a user gets considered as active, these entries should retire by themselves as the corresponding users either update to the successors of Mozilla or are no longer considered active users.

Mozilla Foundation seems to be the appropriate name for the organization behind FireFox and Thunderbird. Why does SUMo server report any affiliation to TomTom Home which is a product of the company TomTom N.V.

TomTom N.V. is an indenpendant company listed at (NYSE EuroNext) Amsterdam stock exchange in its major index. Its last financial report for 2018 was released on 17 April 2019. It shows that four founders hold about 44.1% of the shares and there exist no other major investor. So TomTom is not a subsidiary of Mozilla Foundation. They sold a subsidiary recently but not to Mozilla Foundation but to BridgeStone.

I don't know of the first product listed on SUMo server for the company TomTom. The other entries are correct. There exist more products of this company. Obviously no SUMo user has installed one of the others.
Additional InformationSo further associated issues are:
https://www.kcsoftwares.com/bugs/view.php?id=3165
https://www.kcsoftwares.com/bugs/view.php?id=5228
https://www.kcsoftwares.com/bugs/view.php?id=3583
https://www.kcsoftwares.com/bugs/view.php?id=3582
https://www.kcsoftwares.com/bugs/view.php?id=926
https://www.kcsoftwares.com/bugs/view.php?id=3916

While most are closed or solved, the one reported last is not yet implemented and also addressed with this issue if its analysis was done properly.
TagsNo tags attached.

Relationships

related to 0005505 closedKyle_Katarn SUMo Server Showing Firefox Beta 68 as the update on one PC and not on another 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-05-23 21:00 wolf New Issue
2019-05-23 21:00 wolf Issue generated from: 0005505
2019-05-23 21:00 wolf Relationship added related to 0005505
2019-05-27 22:37 Kyle_Katarn Status new => acknowledged
2019-05-27 22:37 Kyle_Katarn Target Version => 5.9.x